import request from '@/utils/request'

// 查询客户朋友圈执行情况列表
export function listFriendCircleTask(query) {
  return request({
    url: '/qw/friendCircleTask/list',
    method: 'get',
    params: query
  })
}

// 查询客户朋友圈执行情况详细
export function getFriendCircleTask(id) {
  return request({
    url: '/qw/friendCircleTask/' + id,
    method: 'get'
  })
}

// 新增客户朋友圈执行情况
export function addFriendCircleTask(data) {
  return request({
    url: '/qw/friendCircleTask',
    method: 'post',
    data: data
  })
}

// 修改客户朋友圈执行情况
export function updateFriendCircleTask(data) {
  return request({
    url: '/qw/friendCircleTask',
    method: 'put',
    data: data
  })
}

// 删除客户朋友圈执行情况
export function delFriendCircleTask(id) {
  return request({
    url: '/qw/friendCircleTask/' + id,
    method: 'delete'
  })
}

// 导出客户朋友圈执行情况
export function exportFriendCircleTask(query) {
  return request({
    url: '/qw/friendCircleTask/export',
    method: 'get',
    params: query
  })
}
